%define anolis_release 1
%global srcname Jinja2

Name:           python-jinja2
Version:        3.1.1
Release:        %{anolis_release}%{dist}
Summary:        General purpose template engine
License:        BSD
URL:            https://palletsprojects.com/p/jinja/
Source0:        %{pypi_source}

# Enable building without docs to avoid a circular dependency between this
# and python-sphinx:
%bcond_without docs

BuildArch:      noarch

%global _description %{expand:
Jinja2 is a template engine written in pure Python. It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

If you have any exposure to other text-based template languages, such
as Smarty or Django, you should feel right at home with Jinja2. It's
both designer and developer friendly by sticking to Python's
principles and adding functionality useful for templating
environments.}

%description %_description

%package -n python3-jinja2
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
%if %{with docs}
BuildRequires:  %{_bindir}/sphinx-build-3
BuildRequires:  make
BuildRequires:  python3-Pallets-Sphinx-Themes >= 2
BuildRequires:  python3-sphinxcontrib-log-cabinet
BuildRequires:  python3-sphinx-issues
%endif

%description -n python3-jinja2 %_description

%pyproject_extras_subpkg -n python3-jinja2 i18n


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -x i18n


%build
%pyproject_wheel
%if %{with docs}
make -C docs html PYTHONPATH=$(pwd)/src SPHINXBUILD=sphinx-build-3
# remove hidden file
rm -rvf docs/_build/html/.buildinfo
%endif


%install
%pyproject_install
%pyproject_save_files jinja2


%check
%pytest tests


%files -n python3-jinja2 -f %{pyproject_files}
%doc CHANGES.rst
%doc examples
%license LICENSE.rst
%if %{with docs}
%doc docs/_build/html
%endif


%changelog 
* Tue Apr 19 2022 Zhongling He <zhonglingh@linux.alibaba.com> 3.1.1-1
- Init package from upstream v3.1.1
